// Code generated by protoc-gen-go. DO NOT EDIT.
// source: livematch.proto

package proto

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Mode int32

const (
	Mode_DEFAULT_MODE             Mode = 0
	Mode_NORMAL                   Mode = 1
	Mode_TOURNAMENT_MODE_TWO_RED  Mode = 2
	Mode_TOURNAMENT_MODE_TWO_BLUE Mode = 3
)

var Mode_name = map[int32]string{
	0: "DEFAULT_MODE",
	1: "NORMAL",
	2: "TOURNAMENT_MODE_TWO_RED",
	3: "TOURNAMENT_MODE_TWO_BLUE",
}
var Mode_value = map[string]int32{
	"DEFAULT_MODE":             0,
	"NORMAL":                   1,
	"TOURNAMENT_MODE_TWO_RED":  2,
	"TOURNAMENT_MODE_TWO_BLUE": 3,
}

func (x Mode) String() string {
	return proto.EnumName(Mode_name, int32(x))
}
func (Mode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_livematch_0b8f3ca81c5813d7, []int{0}
}

type Position int32

const (
	Position_DEFAULT_POSITION Position = 0
	Position_BLUE_ATTACK      Position = 1
	Position_BLUE_DEFENSE     Position = 2
	Position_RED_ATTACK       Position = 3
	Position_RED_DEFENSE      Position = 4
	Position_SPECTATOR        Position = 5
)

var Position_name = map[int32]string{
	0: "DEFAULT_POSITION",
	1: "BLUE_ATTACK",
	2: "BLUE_DEFENSE",
	3: "RED_ATTACK",
	4: "RED_DEFENSE",
	5: "SPECTATOR",
}
var Position_value = map[string]int32{
	"DEFAULT_POSITION": 0,
	"BLUE_ATTACK":      1,
	"BLUE_DEFENSE":     2,
	"RED_ATTACK":       3,
	"RED_DEFENSE":      4,
	"SPECTATOR":        5,
}

func (x Position) String() string {
	return proto.EnumName(Position_name, int32(x))
}
func (Position) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_livematch_0b8f3ca81c5813d7, []int{1}
}

type Match struct {
	Id                   string            `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	TableID              string            `protobuf:"bytes,2,opt,name=tableID,proto3" json:"tableID,omitempty"`
	Started              bool              `protobuf:"varint,3,opt,name=started,proto3" json:"started,omitempty"`
	Users                []*User           `protobuf:"bytes,4,rep,name=users,proto3" json:"users,omitempty"`
	Settings             *Settings         `protobuf:"bytes,5,opt,name=settings,proto3" json:"settings,omitempty"`
	StartTime            string            `protobuf:"bytes,6,opt,name=startTime,proto3" json:"startTime,omitempty"`
	ScoreBlue            int32             `protobuf:"varint,7,opt,name=scoreBlue,proto3" json:"scoreBlue,omitempty"`
	ScoreRed             int32             `protobuf:"varint,8,opt,name=scoreRed,proto3" json:"scoreRed,omitempty"`
	EndTime              string            `protobuf:"bytes,9,opt,name=endTime,proto3" json:"endTime,omitempty"`
	Completed            bool              `protobuf:"varint,10,opt,name=completed,proto3" json:"completed,omitempty"`
	Winner               string            `protobuf:"bytes,11,opt,name=winner,proto3" json:"winner,omitempty"`
	Labels               map[string]string `protobuf:"bytes,12,rep,name=labels,proto3" json:"labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Match) Reset()         { *m = Match{} }
func (m *Match) String() string { return proto.CompactTextString(m) }
func (*Match) ProtoMessage()    {}
func (*Match) Descriptor() ([]byte, []int) {
	return fileDescriptor_livematch_0b8f3ca81c5813d7, []int{0}
}
func (m *Match) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Match.Unmarshal(m, b)
}
func (m *Match) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Match.Marshal(b, m, deterministic)
}
func (dst *Match) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Match.Merge(dst, src)
}
func (m *Match) XXX_Size() int {
	return xxx_messageInfo_Match.Size(m)
}
func (m *Match) XXX_DiscardUnknown() {
	xxx_messageInfo_Match.DiscardUnknown(m)
}

var xxx_messageInfo_Match proto.InternalMessageInfo

func (m *Match) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Match) GetTableID() string {
	if m != nil {
		return m.TableID
	}
	return ""
}

func (m *Match) GetStarted() bool {
	if m != nil {
		return m.Started
	}
	return false
}

func (m *Match) GetUsers() []*User {
	if m != nil {
		return m.Users
	}
	return nil
}

func (m *Match) GetSettings() *Settings {
	if m != nil {
		return m.Settings
	}
	return nil
}

func (m *Match) GetStartTime() string {
	if m != nil {
		return m.StartTime
	}
	return ""
}

func (m *Match) GetScoreBlue() int32 {
	if m != nil {
		return m.ScoreBlue
	}
	return 0
}

func (m *Match) GetScoreRed() int32 {
	if m != nil {
		return m.ScoreRed
	}
	return 0
}

func (m *Match) GetEndTime() string {
	if m != nil {
		return m.EndTime
	}
	return ""
}

func (m *Match) GetCompleted() bool {
	if m != nil {
		return m.Completed
	}
	return false
}

func (m *Match) GetWinner() string {
	if m != nil {
		return m.Winner
	}
	return ""
}

func (m *Match) GetLabels() map[string]string {
	if m != nil {
		return m.Labels
	}
	return nil
}

type FreeTables struct {
	Free                 bool     `protobuf:"varint,1,opt,name=free,proto3" json:"free,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FreeTables) Reset()         { *m = FreeTables{} }
func (m *FreeTables) String() string { return proto.CompactTextString(m) }
func (*FreeTables) ProtoMessage()    {}
func (*FreeTables) Descriptor() ([]byte, []int) {
	return fileDescriptor_livematch_0b8f3ca81c5813d7, []int{1}
}
func (m *FreeTables) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FreeTables.Unmarshal(m, b)
}
func (m *FreeTables) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FreeTables.Marshal(b, m, deterministic)
}
func (dst *FreeTables) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FreeTables.Merge(dst, src)
}
func (m *FreeTables) XXX_Size() int {
	return xxx_messageInfo_FreeTables.Size(m)
}
func (m *FreeTables) XXX_DiscardUnknown() {
	xxx_messageInfo_FreeTables.DiscardUnknown(m)
}

var xxx_messageInfo_FreeTables proto.InternalMessageInfo

func (m *FreeTables) GetFree() bool {
	if m != nil {
		return m.Free
	}
	return false
}

type User struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Username             string   `protobuf:"bytes,2,opt,name=username,proto3" json:"username,omitempty"`
	Admin                bool     `protobuf:"varint,3,opt,name=admin,proto3" json:"admin,omitempty"`
	Ready                bool     `protobuf:"varint,4,opt,name=ready,proto3" json:"ready,omitempty"`
	Position             Position `protobuf:"varint,5,opt,name=position,proto3,enum=proto.Position" json:"position,omitempty"`
	Bet                  int64    `protobuf:"varint,6,opt,name=bet,proto3" json:"bet,omitempty"`
	Color                string   `protobuf:"bytes,7,opt,name=color,proto3" json:"color,omitempty"`
	CurrentTable         string   `protobuf:"bytes,8,opt,name=currentTable,proto3" json:"currentTable,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *User) Reset()         { *m = User{} }
func (m *User) String() string { return proto.CompactTextString(m) }
func (*User) ProtoMessage()    {}
func (*User) Descriptor() ([]byte, []int) {
	return fileDescriptor_livematch_0b8f3ca81c5813d7, []int{2}
}
func (m *User) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_User.Unmarshal(m, b)
}
func (m *User) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_User.Marshal(b, m, deterministic)
}
func (dst *User) XXX_Merge(src proto.Message) {
	xxx_messageInfo_User.Merge(dst, src)
}
func (m *User) XXX_Size() int {
	return xxx_messageInfo_User.Size(m)
}
func (m *User) XXX_DiscardUnknown() {
	xxx_messageInfo_User.DiscardUnknown(m)
}

var xxx_messageInfo_User proto.InternalMessageInfo

func (m *User) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *User) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

func (m *User) GetAdmin() bool {
	if m != nil {
		return m.Admin
	}
	return false
}

func (m *User) GetReady() bool {
	if m != nil {
		return m.Ready
	}
	return false
}

func (m *User) GetPosition() Position {
	if m != nil {
		return m.Position
	}
	return Position_DEFAULT_POSITION
}

func (m *User) GetBet() int64 {
	if m != nil {
		return m.Bet
	}
	return 0
}

func (m *User) GetColor() string {
	if m != nil {
		return m.Color
	}
	return ""
}

func (m *User) GetCurrentTable() string {
	if m != nil {
		return m.CurrentTable
	}
	return ""
}

type Settings struct {
	Tournament           bool     `protobuf:"varint,1,opt,name=tournament,proto3" json:"tournament,omitempty"`
	Drunk                bool     `protobuf:"varint,2,opt,name=drunk,proto3" json:"drunk,omitempty"`
	Payed                bool     `protobuf:"varint,3,opt,name=payed,proto3" json:"payed,omitempty"`
	Bet                  bool     `protobuf:"varint,4,opt,name=bet,proto3" json:"bet,omitempty"`
	MaxGoals             int32    `protobuf:"varint,5,opt,name=maxGoals,proto3" json:"maxGoals,omitempty"`
	MaxTime              int32    `protobuf:"varint,6,opt,name=maxTime,proto3" json:"maxTime,omitempty"`
	Rated                bool     `protobuf:"varint,7,opt,name=rated,proto3" json:"rated,omitempty"`
	SwitchPositions      bool     `protobuf:"varint,8,opt,name=switchPositions,proto3" json:"switchPositions,omitempty"`
	Mode                 Mode     `protobuf:"varint,9,opt,name=mode,proto3,enum=proto.Mode" json:"mode,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Settings) Reset()         { *m = Settings{} }
func (m *Settings) String() string { return proto.CompactTextString(m) }
func (*Settings) ProtoMessage()    {}
func (*Settings) Descriptor() ([]byte, []int) {
	return fileDescriptor_livematch_0b8f3ca81c5813d7, []int{3}
}
func (m *Settings) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Settings.Unmarshal(m, b)
}
func (m *Settings) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Settings.Marshal(b, m, deterministic)
}
func (dst *Settings) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Settings.Merge(dst, src)
}
func (m *Settings) XXX_Size() int {
	return xxx_messageInfo_Settings.Size(m)
}
func (m *Settings) XXX_DiscardUnknown() {
	xxx_messageInfo_Settings.DiscardUnknown(m)
}

var xxx_messageInfo_Settings proto.InternalMessageInfo

func (m *Settings) GetTournament() bool {
	if m != nil {
		return m.Tournament
	}
	return false
}

func (m *Settings) GetDrunk() bool {
	if m != nil {
		return m.Drunk
	}
	return false
}

func (m *Settings) GetPayed() bool {
	if m != nil {
		return m.Payed
	}
	return false
}

func (m *Settings) GetBet() bool {
	if m != nil {
		return m.Bet
	}
	return false
}

func (m *Settings) GetMaxGoals() int32 {
	if m != nil {
		return m.MaxGoals
	}
	return 0
}

func (m *Settings) GetMaxTime() int32 {
	if m != nil {
		return m.MaxTime
	}
	return 0
}

func (m *Settings) GetRated() bool {
	if m != nil {
		return m.Rated
	}
	return false
}

func (m *Settings) GetSwitchPositions() bool {
	if m != nil {
		return m.SwitchPositions
	}
	return false
}

func (m *Settings) GetMode() Mode {
	if m != nil {
		return m.Mode
	}
	return Mode_DEFAULT_MODE
}

type Command struct {
	Settings             *Settings `protobuf:"bytes,1,opt,name=settings,proto3" json:"settings,omitempty"`
	Position             Position  `protobuf:"varint,2,opt,name=position,proto3,enum=proto.Position" json:"position,omitempty"`
	User                 *User     `protobuf:"bytes,3,opt,name=user,proto3" json:"user,omitempty"`
	AddGoalBlue          bool      `protobuf:"varint,4,opt,name=addGoalBlue,proto3" json:"addGoalBlue,omitempty"`
	AddGoalRed           bool      `protobuf:"varint,5,opt,name=addGoalRed,proto3" json:"addGoalRed,omitempty"`
	KickUser             string    `protobuf:"bytes,6,opt,name=kickUser,proto3" json:"kickUser,omitempty"`
	Table                *Table    `protobuf:"bytes,7,opt,name=table,proto3" json:"table,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *Command) Reset()         { *m = Command{} }
func (m *Command) String() string { return proto.CompactTextString(m) }
func (*Command) ProtoMessage()    {}
func (*Command) Descriptor() ([]byte, []int) {
	return fileDescriptor_livematch_0b8f3ca81c5813d7, []int{4}
}
func (m *Command) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Command.Unmarshal(m, b)
}
func (m *Command) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Command.Marshal(b, m, deterministic)
}
func (dst *Command) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Command.Merge(dst, src)
}
func (m *Command) XXX_Size() int {
	return xxx_messageInfo_Command.Size(m)
}
func (m *Command) XXX_DiscardUnknown() {
	xxx_messageInfo_Command.DiscardUnknown(m)
}

var xxx_messageInfo_Command proto.InternalMessageInfo

func (m *Command) GetSettings() *Settings {
	if m != nil {
		return m.Settings
	}
	return nil
}

func (m *Command) GetPosition() Position {
	if m != nil {
		return m.Position
	}
	return Position_DEFAULT_POSITION
}

func (m *Command) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *Command) GetAddGoalBlue() bool {
	if m != nil {
		return m.AddGoalBlue
	}
	return false
}

func (m *Command) GetAddGoalRed() bool {
	if m != nil {
		return m.AddGoalRed
	}
	return false
}

func (m *Command) GetKickUser() string {
	if m != nil {
		return m.KickUser
	}
	return ""
}

func (m *Command) GetTable() *Table {
	if m != nil {
		return m.Table
	}
	return nil
}

type Table struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Location             string   `protobuf:"bytes,2,opt,name=location,proto3" json:"location,omitempty"`
	LastMaintenance      string   `protobuf:"bytes,3,opt,name=lastMaintenance,proto3" json:"lastMaintenance,omitempty"`
	Ready                bool     `protobuf:"varint,4,opt,name=ready,proto3" json:"ready,omitempty"`
	InGame               bool     `protobuf:"varint,5,opt,name=inGame,proto3" json:"inGame,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Table) Reset()         { *m = Table{} }
func (m *Table) String() string { return proto.CompactTextString(m) }
func (*Table) ProtoMessage()    {}
func (*Table) Descriptor() ([]byte, []int) {
	return fileDescriptor_livematch_0b8f3ca81c5813d7, []int{5}
}
func (m *Table) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Table.Unmarshal(m, b)
}
func (m *Table) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Table.Marshal(b, m, deterministic)
}
func (dst *Table) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Table.Merge(dst, src)
}
func (m *Table) XXX_Size() int {
	return xxx_messageInfo_Table.Size(m)
}
func (m *Table) XXX_DiscardUnknown() {
	xxx_messageInfo_Table.DiscardUnknown(m)
}

var xxx_messageInfo_Table proto.InternalMessageInfo

func (m *Table) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Table) GetLocation() string {
	if m != nil {
		return m.Location
	}
	return ""
}

func (m *Table) GetLastMaintenance() string {
	if m != nil {
		return m.LastMaintenance
	}
	return ""
}

func (m *Table) GetReady() bool {
	if m != nil {
		return m.Ready
	}
	return false
}

func (m *Table) GetInGame() bool {
	if m != nil {
		return m.InGame
	}
	return false
}

func init() {
	proto.RegisterType((*Match)(nil), "proto.Match")
	proto.RegisterMapType((map[string]string)(nil), "proto.Match.LabelsEntry")
	proto.RegisterType((*FreeTables)(nil), "proto.FreeTables")
	proto.RegisterType((*User)(nil), "proto.User")
	proto.RegisterType((*Settings)(nil), "proto.Settings")
	proto.RegisterType((*Command)(nil), "proto.Command")
	proto.RegisterType((*Table)(nil), "proto.Table")
	proto.RegisterEnum("proto.Mode", Mode_name, Mode_value)
	proto.RegisterEnum("proto.Position", Position_name, Position_value)
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// LivematchServiceClient is the client API for LivematchService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type LivematchServiceClient interface {
	Livematch(ctx context.Context, opts ...grpc.CallOption) (LivematchService_LivematchClient, error)
}

type livematchServiceClient struct {
	cc *grpc.ClientConn
}

func NewLivematchServiceClient(cc *grpc.ClientConn) LivematchServiceClient {
	return &livematchServiceClient{cc}
}

func (c *livematchServiceClient) Livematch(ctx context.Context, opts ...grpc.CallOption) (LivematchService_LivematchClient, error) {
	stream, err := c.cc.NewStream(ctx, &_LivematchService_serviceDesc.Streams[0], "/proto.LivematchService/Livematch", opts...)
	if err != nil {
		return nil, err
	}
	x := &livematchServiceLivematchClient{stream}
	return x, nil
}

type LivematchService_LivematchClient interface {
	Send(*Command) error
	Recv() (*Match, error)
	grpc.ClientStream
}

type livematchServiceLivematchClient struct {
	grpc.ClientStream
}

func (x *livematchServiceLivematchClient) Send(m *Command) error {
	return x.ClientStream.SendMsg(m)
}

func (x *livematchServiceLivematchClient) Recv() (*Match, error) {
	m := new(Match)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// LivematchServiceServer is the server API for LivematchService service.
type LivematchServiceServer interface {
	Livematch(LivematchService_LivematchServer) error
}

func RegisterLivematchServiceServer(s *grpc.Server, srv LivematchServiceServer) {
	s.RegisterService(&_LivematchService_serviceDesc, srv)
}

func _LivematchService_Livematch_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(LivematchServiceServer).Livematch(&livematchServiceLivematchServer{stream})
}

type LivematchService_LivematchServer interface {
	Send(*Match) error
	Recv() (*Command, error)
	grpc.ServerStream
}

type livematchServiceLivematchServer struct {
	grpc.ServerStream
}

func (x *livematchServiceLivematchServer) Send(m *Match) error {
	return x.ServerStream.SendMsg(m)
}

func (x *livematchServiceLivematchServer) Recv() (*Command, error) {
	m := new(Command)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

var _LivematchService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "proto.LivematchService",
	HandlerType: (*LivematchServiceServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "Livematch",
			Handler:       _LivematchService_Livematch_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
	},
	Metadata: "livematch.proto",
}

// TablesServiceClient is the client API for TablesService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type TablesServiceClient interface {
	Tables(ctx context.Context, in *FreeTables, opts ...grpc.CallOption) (*Table, error)
}

type tablesServiceClient struct {
	cc *grpc.ClientConn
}

func NewTablesServiceClient(cc *grpc.ClientConn) TablesServiceClient {
	return &tablesServiceClient{cc}
}

func (c *tablesServiceClient) Tables(ctx context.Context, in *FreeTables, opts ...grpc.CallOption) (*Table, error) {
	out := new(Table)
	err := c.cc.Invoke(ctx, "/proto.TablesService/Tables", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// TablesServiceServer is the server API for TablesService service.
type TablesServiceServer interface {
	Tables(context.Context, *FreeTables) (*Table, error)
}

func RegisterTablesServiceServer(s *grpc.Server, srv TablesServiceServer) {
	s.RegisterService(&_TablesService_serviceDesc, srv)
}

func _TablesService_Tables_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FreeTables)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TablesServiceServer).Tables(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/proto.TablesService/Tables",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TablesServiceServer).Tables(ctx, req.(*FreeTables))
	}
	return interceptor(ctx, in, info, handler)
}

var _TablesService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "proto.TablesService",
	HandlerType: (*TablesServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Tables",
			Handler:    _TablesService_Tables_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "livematch.proto",
}

func init() { proto.RegisterFile("livematch.proto", fileDescriptor_livematch_0b8f3ca81c5813d7) }

var fileDescriptor_livematch_0b8f3ca81c5813d7 = []byte{
	// 846 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x84, 0x55, 0xdd, 0x6e, 0xe3, 0x44,
	0x14, 0xae, 0x93, 0x38, 0x4d, 0x4e, 0xb2, 0xa9, 0x19, 0x21, 0xb0, 0x0a, 0x82, 0xe2, 0xab, 0x6a,
	0x57, 0x2a, 0xab, 0x70, 0x03, 0x88, 0x9b, 0x6c, 0xeb, 0x5d, 0x55, 0xe4, 0xa7, 0x9a, 0xb8, 0xe2,
	0x32, 0x9a, 0xda, 0x03, 0x58, 0xb5, 0xc7, 0x95, 0xed, 0x74, 0xe9, 0x0b, 0x70, 0xc3, 0xcb, 0xf0,
	0x36, 0x3c, 0x0e, 0xcc, 0x39, 0x33, 0x76, 0xd2, 0xb2, 0xab, 0x5e, 0x65, 0xbe, 0xef, 0x1c, 0xcf,
	0xf9, 0xf9, 0xce, 0x99, 0xc0, 0x51, 0x96, 0xde, 0xcb, 0x5c, 0xd4, 0xf1, 0xef, 0x67, 0x77, 0x65,
	0x51, 0x17, 0xcc, 0xa5, 0x9f, 0xe0, 0xef, 0x2e, 0xb8, 0x0b, 0xa4, 0xd9, 0x04, 0x3a, 0x69, 0xe2,
	0x3b, 0x27, 0xce, 0xe9, 0x90, 0xeb, 0x13, 0xf3, 0xe1, 0xb0, 0x16, 0x37, 0x99, 0xbc, 0xbc, 0xf0,
	0x3b, 0x44, 0x36, 0x10, 0x2d, 0x55, 0x2d, 0xca, 0x5a, 0x26, 0x7e, 0x57, 0x5b, 0x06, 0xbc, 0x81,
	0xec, 0x1b, 0x70, 0xb7, 0x95, 0x2c, 0x2b, 0xbf, 0x77, 0xd2, 0x3d, 0x1d, 0x4d, 0x47, 0x26, 0xd6,
	0xd9, 0xb5, 0xe6, 0xb8, 0xb1, 0xb0, 0x57, 0x30, 0xa8, 0x64, 0x5d, 0xa7, 0xea, 0xb7, 0xca, 0x77,
	0xf5, 0xd7, 0xa3, 0xe9, 0x91, 0xf5, 0x5a, 0x5b, 0x9a, 0xb7, 0x0e, 0xec, 0x4b, 0x18, 0xd2, 0xd5,
	0x51, 0x9a, 0x4b, 0xbf, 0x4f, 0x59, 0xec, 0x08, 0xb2, 0xc6, 0x45, 0x29, 0xdf, 0x64, 0x5b, 0xe9,
	0x1f, 0x6a, 0xab, 0xcb, 0x77, 0x04, 0x3b, 0xd6, 0x81, 0x10, 0x70, 0x9d, 0xe6, 0x80, 0x8c, 0x2d,
	0xc6, 0x0a, 0xa4, 0x4a, 0xe8, 0xd6, 0xa1, 0xa9, 0xcd, 0x42, 0xbc, 0x33, 0x2e, 0xf2, 0xbb, 0x4c,
	0x62, 0x75, 0x40, 0xd5, 0xed, 0x08, 0xf6, 0x19, 0xf4, 0xdf, 0xa7, 0x4a, 0xc9, 0xd2, 0x1f, 0xd1,
	0x67, 0x16, 0xb1, 0xd7, 0xd0, 0xcf, 0xc4, 0x8d, 0xcc, 0x2a, 0x7f, 0x4c, 0x85, 0xfb, 0xb6, 0x24,
	0xea, 0xec, 0xd9, 0x9c, 0x4c, 0xa1, 0xaa, 0xcb, 0x07, 0x6e, 0xfd, 0x8e, 0x7f, 0x80, 0xd1, 0x1e,
	0xcd, 0x3c, 0xe8, 0xde, 0xca, 0x07, 0xdb, 0x7d, 0x3c, 0xb2, 0x4f, 0xc1, 0xbd, 0x17, 0x58, 0x98,
	0x69, 0xbe, 0x01, 0x3f, 0x76, 0xbe, 0x77, 0x82, 0x13, 0x80, 0xb7, 0xa5, 0x94, 0x11, 0xaa, 0x51,
	0x31, 0x06, 0xbd, 0x5f, 0x35, 0xa2, 0x4f, 0x07, 0x9c, 0xce, 0xc1, 0x3f, 0x0e, 0xf4, 0xb0, 0xe7,
	0xff, 0xd3, 0x54, 0xf7, 0x04, 0x55, 0x50, 0x22, 0x6f, 0xee, 0x6d, 0x31, 0x06, 0x14, 0x49, 0x9e,
	0x2a, 0xab, 0xa9, 0x01, 0xc8, 0x96, 0x52, 0x24, 0x0f, 0x5a, 0x51, 0x62, 0x09, 0xa0, 0x88, 0x77,
	0x45, 0x95, 0xd6, 0x69, 0xa1, 0x48, 0xc4, 0x49, 0x2b, 0xe2, 0x95, 0xa5, 0x79, 0xeb, 0x80, 0xb5,
	0xdd, 0xc8, 0x9a, 0xe4, 0xeb, 0x72, 0x3c, 0xe2, 0xa5, 0x71, 0x91, 0x15, 0x25, 0x89, 0xa6, 0x6b,
	0x23, 0xc0, 0x02, 0x18, 0xc7, 0xdb, 0xb2, 0x94, 0xaa, 0xa6, 0xd2, 0x48, 0xb4, 0x21, 0x7f, 0xc4,
	0x05, 0xff, 0x3a, 0x30, 0x68, 0xe6, 0x84, 0x7d, 0x05, 0x50, 0x17, 0x5b, 0xca, 0x5e, 0xd5, 0xb6,
	0x01, 0x7b, 0x0c, 0x86, 0x49, 0xca, 0xad, 0xba, 0xa5, 0x52, 0x75, 0xee, 0x04, 0x90, 0xbd, 0x13,
	0x0f, 0xed, 0xec, 0x1a, 0xd0, 0x24, 0x69, 0xaa, 0xa4, 0x24, 0x75, 0xaf, 0x72, 0xf1, 0xc7, 0xbb,
	0x42, 0x64, 0x66, 0x50, 0xf5, 0xfc, 0x34, 0x18, 0xe7, 0x47, 0x9f, 0xdb, 0xa9, 0x74, 0x79, 0x03,
	0xa9, 0x5f, 0x02, 0x67, 0xe7, 0xd0, 0xf6, 0x0b, 0x01, 0x3b, 0x85, 0xa3, 0xea, 0x7d, 0xaa, 0x67,
	0xa1, 0x69, 0x4f, 0x45, 0xd5, 0x0d, 0xf8, 0x53, 0x9a, 0x7d, 0x0d, 0xbd, 0xbc, 0x48, 0xcc, 0x58,
	0x4e, 0xda, 0x05, 0x5a, 0x68, 0x8a, 0x93, 0x21, 0xf8, 0xb3, 0x03, 0x87, 0xe7, 0x45, 0x9e, 0x0b,
	0x95, 0x3c, 0xda, 0x25, 0xe7, 0xb9, 0x5d, 0xda, 0xd7, 0xac, 0xf3, 0x9c, 0x66, 0x3a, 0x0d, 0x1c,
	0x0c, 0xea, 0xd1, 0x93, 0x3d, 0x26, 0x03, 0x3b, 0x81, 0x91, 0x48, 0x12, 0xec, 0x06, 0x6d, 0x9f,
	0xe9, 0xdb, 0x3e, 0x85, 0xea, 0x58, 0x88, 0x1b, 0xe8, 0x1a, 0x75, 0x76, 0x0c, 0xf6, 0xf7, 0x36,
	0x8d, 0x6f, 0xf1, 0x4e, 0xbb, 0xda, 0x2d, 0xd6, 0xa3, 0xe0, 0xd2, 0x63, 0x43, 0x5d, 0x1c, 0x4d,
	0xc7, 0x36, 0x3e, 0xcd, 0x00, 0x37, 0xa6, 0xe0, 0x2f, 0x07, 0x5c, 0x22, 0x3e, 0x34, 0xe5, 0x59,
	0x11, 0x8b, 0xb6, 0x52, 0x7d, 0x73, 0x83, 0x51, 0x89, 0x4c, 0x54, 0xf5, 0x42, 0xa4, 0xaa, 0x96,
	0x4a, 0xa8, 0x58, 0x52, 0x8d, 0x43, 0xfe, 0x94, 0xfe, 0xc8, 0xe4, 0xeb, 0x17, 0x20, 0x55, 0xef,
	0x70, 0x7f, 0x4c, 0x45, 0x16, 0xbd, 0xdc, 0x40, 0x0f, 0x45, 0xd2, 0x73, 0x34, 0xbe, 0x08, 0xdf,
	0xce, 0xae, 0xe7, 0xd1, 0x66, 0xb1, 0xba, 0x08, 0xbd, 0x03, 0x06, 0xd0, 0x5f, 0xae, 0xf8, 0x62,
	0x36, 0xf7, 0x1c, 0xf6, 0x05, 0x7c, 0x1e, 0xad, 0xae, 0xf9, 0x72, 0xb6, 0x08, 0x97, 0xc6, 0x61,
	0x13, 0xfd, 0xb2, 0xda, 0xf0, 0xf0, 0xc2, 0xeb, 0xe8, 0xa7, 0xc7, 0xff, 0x90, 0xf1, 0xcd, 0xfc,
	0x3a, 0xf4, 0xba, 0x2f, 0x2b, 0x18, 0x34, 0x3a, 0xe9, 0xd4, 0xbc, 0x26, 0xc8, 0xd5, 0x6a, 0x7d,
	0x19, 0x5d, 0xae, 0x96, 0x3a, 0xd0, 0x11, 0x8c, 0xd0, 0x77, 0x33, 0x8b, 0xa2, 0xd9, 0xf9, 0xcf,
	0x3a, 0x9a, 0xce, 0x85, 0x08, 0xed, 0x1b, 0x2e, 0xd7, 0xa1, 0x0e, 0x31, 0x01, 0xd0, 0xb1, 0x1a,
	0x8f, 0x2e, 0x7e, 0x82, 0xb8, 0x71, 0xe8, 0xb1, 0x17, 0x30, 0x5c, 0x5f, 0x85, 0xe7, 0xd1, 0x2c,
	0x5a, 0x71, 0xcf, 0x9d, 0x9e, 0x83, 0x37, 0x6f, 0xfe, 0x37, 0xd6, 0xb2, 0xbc, 0x4f, 0x75, 0x5f,
	0xbe, 0x85, 0x61, 0xcb, 0xb1, 0x89, 0x55, 0xc6, 0x4e, 0xe4, 0xf1, 0x78, 0xff, 0xe1, 0x0b, 0x0e,
	0x4e, 0x9d, 0xd7, 0xce, 0xf4, 0x27, 0x78, 0x61, 0xde, 0xaa, 0xe6, 0x86, 0x57, 0xd0, 0xb7, 0x8f,
	0xd7, 0x27, 0xd6, 0x7d, 0xf7, 0x9e, 0x1d, 0x3f, 0xd2, 0x3a, 0x38, 0xb8, 0xe9, 0x13, 0xfc, 0xee,
	0xbf, 0x00, 0x00, 0x00, 0xff, 0xff, 0xcc, 0x2d, 0xb0, 0x86, 0xc1, 0x06, 0x00, 0x00,
}
